version: "3.7"
services:
  php81tmcposUpdate:
    build:
      args:
        user: tmc
        uid: 1000
      context: ./
      dockerfile: Dockerfile
    image: php81:1
    container_name: update-tmcpos-app
    restart: unless-stopped
    working_dir: /var/www/
    volumes:
      - /home/data/tmcposUpdate/php.ini:/usr/local/etc/php/conf.d/php.ini
      - /home/data/tmcposUpdate/files/:/var/www
    networks:
      - posmysql
  nginxtmcposUpdate:
    image: nginx:alpine
    container_name: update-tmcpos-nginx
    restart: unless-stopped
    ports:
      - "3005:80"
    volumes:
      - /home/data/tmcposUpdate/files/:/var/www
      - /home/data/tmcposUpdate/conf/nginx/:/etc/nginx/conf.d/
    networks:
      #      - mysql_db__network
      - posmysql
networks:
        mysql_db__network:
                external: true
        posmysql:
                external: true

